Bug 497499 - 3com card not getting initialised in rhel4 (2.6.9-78.0.17.ELsmp)
Summary: 3com card not getting initialised in rhel4 (2.6.9-78.0.17.ELsmp)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.4
Hardware: i686
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: James Takahashi (IBM)
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-24 10:22 UTC by parichay
Modified: 2014-07-25 03:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:09:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description parichay 2009-04-24 10:22:53 UTC
Description of problem:
while trying to make the 3com network card up . It is giving error
#ifup eth1
3c59x device eth1 does not seem to be present, delaying initialization.


Version-Release number of selected component (if applicable):
Linux XXX 2.6.9-78.0.17.ELsmp #1 SMP Thu Mar 5 04:52:17 EST 2009 i686 i686 i386 GNU/Linux



How reproducible:
1) By making the interface up each time . 
2) By rebooting server and during the ethernet card initialisation.

Steps to Reproduce:
1.Configure the 3com ethernet card .
2.Try to make interface up
3.
  
Actual results:

The card is not getting up and following info is displayed
3c59x device eth1 does not seem to be present, delaying initialization.



Expected results:

The card should get activated.
Additional info:

These messages are appearing in the dmesg
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:06:01.0: 3Com PCI 3c905C Tornado at 0x3400. Vers LK1.1.19
*** EEPROM MAC address is invalid.
3c59x: vortex_probe1 fails.  Returns -22
3c59x: probe of 0000:06:01.0 failed with error -22
Evaluate _OSC Set fails. Status = 0x0005
pciehp: Both _OSC and OSHP methods do not exist
Evaluate _OSC Set fails. Status = 0x0005
pciehp: Both _OSC and OSHP methods do not exist
hw_random: RNG not detected
Evaluate _OSC Set fails. Status = 0x0005
pciehp: Both _OSC and OSHP methods do not exist
Evaluate _OSC Set fails. Status = 0x0005
pciehp: Both _OSC and OSHP methods do not exist
Evaluate _OSC Set fails. Status = 0x0005
pciehp: Both _OSC and OSHP methods do not exist
ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23 (level, low) -> IRQ 193


==============================================================================
*** EEPROM MAC address is invalid.
3c59x: vortex_probe1 fails.  Returns -22
3c59x: probe of 0000:06:01.0 failed with error -22
ACPI: PCI Interrupt 0000:06:01.0[A] -> GSI 16 (level, low) -> IRQ 169
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:06:01.0: 3Com PCI 3c905C Tornado at 0x3400. Vers LK1.1.19
*** EEPROM MAC address is invalid.

Comment 1 Ben Levenson 2009-04-24 15:52:10 UTC
Please reply with the following:

1 lspci output

2 test results after booting with "acpi=noirq"

3 test results + output from the last "dmesg" command after
  "options 3c59x debug=7" is added to /etc/modprobe.conf
  # ifdown eth0 
  # modprobe -r 3c59x 
  # dmesg -c 
  # ifup eth0 
  # dmesg 

Thank you

Comment 2 Ben Levenson 2009-04-24 16:02:19 UTC
4 The version of the last working kernel (assuming that this NIC worked with
  a previous kernel)

Thank you

Comment 4 Jesse Larrew 2009-06-29 22:45:46 UTC
Assigning this to Peter Bogdanovic at IBM.

Comment 5 Phil Schaffner 2009-08-11 19:08:27 UTC
Not the OP, but here are results for kernel-2.6.9-89.EL, boot with "acpi=noirq", added "options 3c59x debug=7" to /etc/modprobe.conf

[root@localhost ~]# ifup eth0
3c59x device eth0 does not seem to be present, delaying initialization.

[root@localhost ~]# dmesg
PCI: Found IRQ 11 for device 0000:00:03.0
PCI: Sharing IRQ 11 with 0000:00:03.1
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
0000:00:03.0: 3Com PCI 3c556B Laptop Hurricane at 0x1400. Vers LK1.1.19
 ff:ff:ff:ff:ff:ff<3>*** EEPROM MAC address is invalid.
3c59x: vortex_probe1 fails.  Returns -22
3c59x: probe of 0000:00:03.0 failed with error -22

[root@localhost ~]# /sbin/lspci -n | grep "$(/sbin/lspci | awk '/net/ { print $1 }')"
00:03.0 Class 0200: 10b7:6056 (rev 20)

[root@localhost ~]# /sbin/lspci -m
00:00.0 "Host bridge" "Intel Corporation" "440BX/ZX/DX - 82443BX/ZX/DX Host bridge" -r03 "" ""
00:01.0 "PCI bridge" "Intel Corporation" "440BX/ZX/DX - 82443BX/ZX/DX AGP bridge" -r03 "" ""
00:02.0 "CardBus bridge" "Texas Instruments" "PCI1450" -r03 "IBM" "ThinkPad A21m/T20/T22"
00:02.1 "CardBus bridge" "Texas Instruments" "PCI1450" -r03 "IBM" "ThinkPad A21m/T20/T22"
00:03.0 "Ethernet controller" "3Com Corporation" "3c556B CardBus [Tornado]" -r20 "3Com Corporation" "6356"
00:03.1 "Communication controller" "3Com Corporation" "Mini PCI 56k Winmodem" -r20 "3Com Corporation" "6159"
00:05.0 "Multimedia audio controller" "Cirrus Logic" "CS 4614/22/24/30 [CrystalClear SoundFusion Audio Accelerator]" -r01 "IBM" "ThinkPad A20m"
00:07.0 "Bridge" "Intel Corporation" "82371AB/EB/MB PIIX4 ISA" -r02 "" ""
00:07.1 "IDE interface" "Intel Corporation" "82371AB/EB/MB PIIX4 IDE" -r01 -p80 "" ""
00:07.2 "USB Controller" "Intel Corporation" "82371AB/EB/MB PIIX4 USB" -r01 "" ""
00:07.3 "Bridge" "Intel Corporation" "82371AB/EB/MB PIIX4 ACPI" -r03 "" ""
01:00.0 "VGA compatible controller" "ATI Technologies Inc" "Rage Mobility M3 AGP 2x" -r02 "IBM" "IBM Thinkpad A22p"

Comment 6 Jiri Pallich 2012-06-20 16:09:25 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.